import request from '/@/utils/request'

export function productionDeviceApi() {
    return {
        getProductionDeviceList: (data: object) => {
            return request({
                url: `/prevent/device/select/getDevicePage`,
                method: 'post',
                data:data
            });
        },
        addProductionDevice: (data: object) => {
            return request({
                url: `/prevent/device/insert/saveDevice`,
                method: 'post',
                data:data
            });
        },
        modProductionDevice: (data: object) => {
            return request({
                url: `/prevent/device/update/updateDevice`,
                method: 'post',
                data:data
            });
        },
        deleteProductionDevice: (data: object) => {
            return request({
                url: `/prevent/device/delete/deleteDevice`,
                method: 'post',
                data:data
            });
        },
        getAllProductionDeviceList: () => {
            return request({
                url: `/prevent/device/select/listDevices`,
                method: 'post',
            });
        },
    }
}
